---
{%- from "ripgrep/map.jinja" import ripgrep with context %}
{% set archive_exclude_dir = './ripgrep-' + ripgrep.version + '-' + ripgrep.arch + '-unknown-' + ripgrep.os + '-musl' %}
ripgrep-archive-extract:
  archive.extracted:
    - name: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}
    - source: {{ ripgrep.mirror }}/{{ ripgrep.version }}/ripgrep-{{ ripgrep.version }}-{{ ripgrep.arch }}-unknown-{{ ripgrep.os|lower }}-musl.tar.gz
    - skip_verify: true
    - options: >
        --transform 's|^\{{ archive_exclude_dir }}|/|g'
        --transform 's|COPYING.*||g'
        --transform 's|LICENSE.*||g'
        --transform 's|UNLICENSE.*||g'
        --transform 's|doc||g'
        --transform 's|complete||g'
        --transform 's|README.md||g'
        --strip 1
    - enforce_toplevel: false
    - user: root
    - group: root
    - enforce_ownership_on: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}
    - if_missing: {{ ripgrep.release_dir }}/ripgrep-{{ ripgrep.version }}/ripgrep

ripgrep-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/ripgrep
    - target: {{ ripgrep.release_dir }}/ripgrep-v{{ ripgrep.version }}-{{ ripgrep.os }}-{{ ripgrep.arch }}/ripgrep
    - force: true
    - require:
      - archive: ripgrep-archive-extract

ripgrep-cleanup:
  software.cleanup:
    - name: ripgrep
    - path: {{ ripgrep.release_dir }}
    - version: "v{{ ripgrep.version }}"
